# DataExchange
TKIGES
IGESSelect

# IGESSelect_SignColor Class Reference

Gives Color attached to an entity
Several forms are possible, according to <mode>
1 : number : "Dnn" for entity, "Snn" for standard, "(none)" for 0
2 : name : Of standard color, or of the color entity, or "(none)"
(if the color entity has no name, its label is taken)
3 : RGB values, form R:nn,G:nn,B:nn
4 : RED value : an integer
5 : GREEN value : an integer
6 : BLUE value : an integer
Other computable values can be added if needed :
CMY values, Percentages for Hue, Lightness, Saturation
.

`#include <IGESSelect_SignColor.hxx>`

Inheritance diagram for IGESSelect_SignColor:

[legend]

## Public Member Functions

Standard_EXPORT | IGESSelect_SignColor (const Standard_Integer mode)
| Creates a SignColor mode : see above for the meaning modes 4,5,6 give a numeric integer value Name is initialised according to the mode .
Standard_EXPORT Standard_CString | Value (const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Returns the value (see above) .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | themode

## Constructor & Destructor Documentation

Standard_EXPORT IGESSelect_SignColor::IGESSelect_SignColor | ( | const Standard_Integer | mode | ) |

## Member Function Documentation

Standard_EXPORT const IGESSelect_SignColor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Signature.

Standard_EXPORT Standard_CString IGESSelect_SignColor::Value | ( | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements Interface_SignType.

## Field Documentation

Standard_Integer IGESSelect_SignColor::themode `[private]`

The documentation for this class was generated from the following file:

- IGESSelect_SignColor.hxx